config:ldap

NAME
config:ldap - Configures LDAP settings.

SYNOPSIS
config:ldap [options]

DESCRIPTION
The config:ldap command enables you to configure LDAP settings through a variety of options. You must use one of the options described below.

OPTIONS
The following options are supported for the config:ldap command:

  status <on | off>
Enables (on) or disables (off) the LDAP feature.

  cache-size <integer>
Specifies the size of the LDAP cache.

  ttl <ttl>
Specifies the time-to-live value for LDAP.

  purge-fail <on | off>
Enables (on) or disables (off) the purge-fail LDAP functionality.

  multiple <on | off>
Enables (on) or disables (off) the multiple LDAP functionality.

  bypass <on | off>
Enables (on) or disables (off) the bypass LDAP functionality.

  file <url>
Specifies the location of the filter.config file to be installed.

EXAMPLES

  Example 1. Enabling the proxy to serve LDAP requests

traffic_shell> config:ldap on
traffic_shell>

  Example 2. Specifying the cache-size for LDAP

traffic_shell> config:ldap cache-size 5000
traffic_shell>

SEE ALSO
show:ldap, show:ldap-stats